#ifndef GENETICS_H
#define GENETICS_H
/*! 
 * \section intro Genetics Library (libgenetics.a)
 * <P><P>This library provides basic functionality common to many of the 
 * genetic search tools produced and used within the Ritchie lab at
 * Center for Human Genetics Research at Vanderbilt University. 
 * The classes within provide general purpose functionality which can
 * be extended and refined for more generalized search algorithm. If
 * used correctly, searches using more specialized techniques should
 * be able to utilize many of the tests that have been built for 
 * more the more generalized searches. 
 * \section ext_dep External Dependancies
 * <UL><LI><B>Standard Template Library</B> - Be sure that the STL 
 * you are compiling and linking to match what was used in the library. 
 * For more information about the STL, please see: <A 
 * HREF="http://www.sgi.com/tech/stl/table_of_contents.html">SGI's website</A>
 * for more information.
 * <LI><B>BOOST</B> - An open source library that has many very powerful
 * extensions to the STL. If it's not installed, please see: 
 * <A HREF="http://www.boost.org/">Boost's Site</A> for details.
 * <LI><B>Blitz++</B> - This is a fairly sophisticated matrices library which
 * claims to utilize inline optimizations to speed up matrix operations. For 
 * more information or to obtain a copy of the libraries, see <A 
 * HREF="http://www.oonumerics.org/blitz/">Blitz++</A>.
 * </UL>
 */
/*
#include "genetics/familyrepository.h"
#include "genetics/fixtrios.h"
#include "genetics/eliminategenotypeerrors.h"
#include "genetics/writefamilies.h"
#include "genetics/gtevaluation.h"
#include "genetics/gtlineparsermdrpdt.h"
#include "genetics/snpevalsuite.h"
#include "genetics/familymember.h"
#include "genetics/familynode.h"
#include "genetics/genotypedata.h"
#include "genetics/pedparser.h"
#include "genetics/modelrepository.h"
#include "genetics/snprepositorysimple.h"
#include "genetics/snpaligned.h"
#include "genetics/snppool.h"
#include "genetics/gtfileparserbuffered.h"
#include "genetics/gtfileparser.h"
#include "genetics/gtlineparser.h"
#include "genetics/snprecipient.h"
#include "genetics/snpcontainer.h"
#include "genetics/snprepository.h"
#include "genetics/snpverificationmethod.h"
#include "genetics/snprepostxtsorted.h"
#include "genetics/permutationtest.h"
*/
//#include "genetics/snpevaluation.h"




#endif //GENETICS_H
